Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
PropertyWidgetPlugin Class Reference

`#include <PropertyWidgetPlugin.h>`

List of all members.

## Public Member Functions

- PropertyWidgetPlugin (QObject *parent=NULL)
- bool isContainer () const
- bool isInitialized () const
- QIcon icon () const
- QString codeTemplate () const
- QString domXml () const
- QString group () const
- QString includeFile () const
- QString name () const
- QString toolTip () const
- QString whatsThis () const
- QWidget * createWidget (QWidget *parent)
- void initialize (QDesignerFormEditorInterface *core)

## Detailed Description

This file is part of Tulip (www.tulip-software.org)

Authors: David Auber and the Tulip development Team from LaBRI, University of Bordeaux 1 and Inria Bordeaux - Sud Ouest

Tulip is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

Tulip is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

## Constructor & Destructor Documentation

PropertyWidgetPlugin::PropertyWidgetPlugin | ( | QObject * | parent = `NULL` | ) |

## Member Function Documentation

QString PropertyWidgetPlugin::codeTemplate | ( |  | ) | const

QWidget* PropertyWidgetPlugin::createWidget | ( | QWidget * | parent | ) |

QString PropertyWidgetPlugin::domXml | ( |  | ) | const

QString PropertyWidgetPlugin::group | ( |  | ) | const

QIcon PropertyWidgetPlugin::icon | ( |  | ) | const

QString PropertyWidgetPlugin::includeFile | ( |  | ) | const

void PropertyWidgetPlugin::initialize | ( | QDesignerFormEditorInterface * | core | ) |

bool PropertyWidgetPlugin::isContainer | ( |  | ) | const

bool PropertyWidgetPlugin::isInitialized | ( |  | ) | const

QString PropertyWidgetPlugin::name | ( |  | ) | const

QString PropertyWidgetPlugin::toolTip | ( |  | ) | const

QString PropertyWidgetPlugin::whatsThis | ( |  | ) | const

Tulip Software by LaBRI Visualization Team 2001 - 2012